/* --- Global Styles --- */
:root {
    --primary-lime-green: #c4f135;
    --text-main: #333333;
    --text-muted: #666666;
    --text-faded: #bbbbbb;
    --bg-dark: #1b0559;
}

* { box-sizing: border-box; margin: 0; padding: 0; scroll-behavior: smooth; }


body { 
  font-family: "Montserrat", sans-serif; 
  font-size: 18px; 
  line-height:1.8;
  color: var(--text-main); 
  background-color: var(--white); 
}

.dark-bg { background-color: var(--bg-dark); }
.back-to-top { position: fixed; bottom: 30px; right: 30px; background:var(--primary-lime-green); color:var(--bg-dark); width: 65px; height: 65px; font-size:3rem; font-weight:700; text-align:center; line-height: 55px; text-align: center; text-decoration: none; border-radius: 50%; box-shadow: 0 4px 10px rgba(0,0,0,0.6); z-index: 1000; }


/* --- Navbar Styling --- */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 8%;
    position: absolute; 
    width: 100%;
    z-index: 10;
    background-color:#ffffff;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08); /* Soft, light shadow */
}
.logo span { font-family: 'Open Sans'; font-size: 11px; font-style: italic; color: var(--text-muted); }

.navbar .logo img {
    height: 60px; 
}
.navbar .logo a {
  background:none;
  text-decoration:none;
  border:0px;
}
.navbar .logo a:hover {
  background:none;
  text-decoration:none;
}

.navbar ul {
    list-style: none;
    display: flex;
}

.navbar a {
    text-decoration: none;
    color: var(--text-main);
    font-weight: 600;
    font-size: 1.1rem;
    padding: 12px 30px;

}

.navbar a:hover {
    background-color: var(--primary-lime-green);
    color: var(--text-main);
    text-decoration: none;
    border-radius: 30px;
    transition: all 0.5s ease;
}


.footer {
  display:flex;
  height:80px;
  align-items: center;
  justify-content:center;
  
}
.footer a {
  padding:10px;
  color:#fff;
  text-decoration:none;
}
.footer a:hover {
  padding:10px;
  color:var(--primary-lime-green);
  text-decoration:none;
}
